Bug 895116 - openstack-swift services fail to start after packstack installation
openstack-swift services fail to start after packstack installation
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Derek Higgins
Nir Magnezi
: Reopened, TestBlocker, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 10:51 EST by Rami Vaknin
Modified: 2014-01-12 18:54 EST (History)
9 users (show)

See Also:
Fixed In Version: openstack-packstack-2012.2.2-0.5.dev318.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-29 06:11:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rami Vaknin 2013-01-14 10:51:35 EST
Scenario:
Install openstack with swift using packstack using the following repos:
http://download.lab.bos.redhat.com/rel-eng/OpenStack/Folsom/2013-01-11.1/x86_64/os/
http://download.eng.tlv.redhat.com/pub/rhel/rel-eng/RHEL6.4-20130109.1/6/Server/x86_64/os/

Installation will fail, openstack-swift-account service fails on start / status commands:

# /etc/init.d/openstack-swift-account start
/usr/share/openstack-swift/functions: line 11: swift_server: command not found

Version:
Folsom on RHEL6.4

# rpm -qa | grep openstack
openstack-nova-network-2012.2.2-1.el6ost.noarch
openstack-nova-console-2012.2.2-1.el6ost.noarch
openstack-nova-scheduler-2012.2.2-1.el6ost.noarch
openstack-nova-volume-2012.2.2-1.el6ost.noarch
openstack-nova-compute-2012.2.2-1.el6ost.noarch
openstack-nova-2012.2.2-1.el6ost.noarch
openstack-swift-plugin-swift3-1.0.0-0.20120711git.el6.noarch
openstack-swift-container-1.7.4-4.el6ost.noarch
openstack-cinder-2012.2.1-2.el6ost.noarch
openstack-nova-common-2012.2.2-1.el6ost.noarch
openstack-nova-cert-2012.2.2-1.el6ost.noarch
openstack-nova-objectstore-2012.2.2-1.el6ost.noarch
python-django-openstack-auth-1.0.2-3.1.el6.noarch
openstack-nova-api-2012.2.2-1.el6ost.noarch
openstack-nova-novncproxy-0.4-2.el6.noarch
openstack-swift-1.7.4-4.el6ost.noarch
openstack-swift-proxy-1.7.4-4.el6ost.noarch
openstack-swift-object-1.7.4-4.el6ost.noarch
openstack-packstack-2012.2.2-0.3.dev281.el6ost.noarch
openstack-keystone-2012.2.1-1.el6ost.noarch
openstack-utils-2012.2-6.el6.noarch
openstack-glance-2012.2.1-3.el6ost.noarch
openstack-dashboard-2012.2.1-2.el6ost.noarch
openstack-swift-account-1.7.4-4.el6ost.noarch

Output:

# packstack --answer-file=ans.txt 
Welcome to Installer setup utility

Installing:
Clean Up...                                              [ DONE ]
Setting Up ssh keys...                                   [ DONE ]
Create MySQL Manifest...                                 [ DONE ]
Creating QPID Manifest...                                [ DONE ]
Creating Keystone Manifest...                            [ DONE ]
Adding Glance Keystone Manifest entries...               [ DONE ]
Creating Galnce Manifest...                              [ DONE ]
Adding Cinder Keystone Manifest entries...               [ DONE ]
Checking if the Cinder server has a cinder-volumes vg... [ DONE ]
Creating Cinder Manifest...                              [ DONE ]
Adding Nova API Manifest entries...                      [ DONE ]
Adding Nova Keystone Manifest entries...                 [ DONE ]
Adding Nova Cert Manifest entries...                     [ DONE ]
Adding Nova Compute Manifest entries...                  [ DONE ]
Adding Nova Network Manifest entries...                  [ DONE ]
Adding Nova Scheduler Manifest entries...                [ DONE ]
Adding Nova VNC Proxy Manifest entries...                [ DONE ]
Adding Nova Common Manifest entries...                   [ DONE ]
Creating OS Client Manifest...                           [ DONE ]
Creating OS Horizon Manifest...                          [ DONE ]
Adding Swift Keystone Manifest entries...                [ DONE ]
Creating OS Swift builder Manifests...                   [ DONE ]
Creating OS Swift proxy Manifests...                     [ DONE ]
Creating OS Swift storage Manifests...                   [ DONE ]
Creating OS Swift Common Manifests...                    [ DONE ]
Preparing Servers...                                     [ DONE ]
Installing Puppet...                                     [ DONE ]
Copying Puppet modules/manifests...                      [ DONE ]
Applying Puppet manifests...
Applying /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/manifests/127.0.0.1_mysql.pp
Applying /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/manifests/127.0.0.1_qpid.pp
Testing if puppet apply is finished : 127.0.0.1_mysql.pp.log
Testing if puppet apply is finished : 127.0.0.1_qpid.pp.log
Testing if puppet apply is finished : 127.0.0.1_mysql.pp.log
Testing if puppet apply is finished : 127.0.0.1_qpid.pp.log OK
Testing if puppet apply is finished : 127.0.0.1_mysql.pp.log OK
Applying /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/manifests/127.0.0.1_keystone.pp
Applying /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/manifests/127.0.0.1_glance.pp
Applying /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/manifests/127.0.0.1_cinder.pp
Testing if puppet apply is finished : 127.0.0.1_keystone.pp.log
Testing if puppet apply is finished : 127.0.0.1_glance.pp.log
Testing if puppet apply is finished : 127.0.0.1_cinder.pp.log
Testing if puppet apply is finished : 127.0.0.1_keystone.pp.log
Testing if puppet apply is finished : 127.0.0.1_glance.pp.log
Testing if puppet apply is finished : 127.0.0.1_cinder.pp.log
Testing if puppet apply is finished : 127.0.0.1_keystone.pp.log OK
Testing if puppet apply is finished : 127.0.0.1_cinder.pp.log
Testing if puppet apply is finished : 127.0.0.1_glance.pp.log OK
Testing if puppet apply is finished : 127.0.0.1_cinder.pp.log OK
Applying /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/manifests/127.0.0.1_api_nova.pp
Testing if puppet apply is finished : 127.0.0.1_api_nova.pp.log
Testing if puppet apply is finished : 127.0.0.1_api_nova.pp.log
Testing if puppet apply is finished : 127.0.0.1_api_nova.pp.log OK
Applying /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/manifests/127.0.0.1_nova.pp
Applying /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/manifests/127.0.0.1_osclient.pp
Applying /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/manifests/127.0.0.1_horizon.pp
Testing if puppet apply is finished : 127.0.0.1_nova.pp.log
Testing if puppet apply is finished : 127.0.0.1_osclient.pp.log
Testing if puppet apply is finished : 127.0.0.1_horizon.pp.log
Testing if puppet apply is finished : 127.0.0.1_nova.pp.log OK
Testing if puppet apply is finished : 127.0.0.1_horizon.pp.log
Testing if puppet apply is finished : 127.0.0.1_osclient.pp.log
Testing if puppet apply is finished : 127.0.0.1_horizon.pp.log
Testing if puppet apply is finished : 127.0.0.1_osclient.pp.log
Testing if puppet apply is finished : 127.0.0.1_horizon.pp.log
Testing if puppet apply is finished : 127.0.0.1_osclient.pp.log
Testing if puppet apply is finished : 127.0.0.1_horizon.pp.log
Testing if puppet apply is finished : 127.0.0.1_osclient.pp.log
Testing if puppet apply is finished : 127.0.0.1_horizon.pp.log
Testing if puppet apply is finished : 127.0.0.1_osclient.pp.log
Testing if puppet apply is finished : 127.0.0.1_horizon.pp.log OK
Testing if puppet apply is finished : 127.0.0.1_osclient.pp.log
Testing if puppet apply is finished : 127.0.0.1_osclient.pp.log OK
Applying /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/manifests/127.0.0.1_ring_swift.pp
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_ring_swift.pp.log OK
Applying /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/manifests/127.0.0.1_swift.pp
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
Testing if puppet apply is finished : 127.0.0.1_swift.pp.log
ERROR:root:Error  during remote puppet apply of /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/manifests/127.0.0.1_swift.pp
ERROR:root:warning: Scope(Class[Swift::Proxy::Swift3]): Could not look up qualified variable '::swift::params'; class ::swift has not been evaluated
warning: Deprecation notice: must now include '$' in prototype on line 25 in file /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/modules/swift/manifests/proxy/s3token.pp
warning: Deprecation notice: must now include '$' in prototype on line 26 in file /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/modules/swift/manifests/proxy/s3token.pp
warning: Deprecation notice: must now include '$' in prototype on line 28 in file /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/modules/swift/manifests/proxy/s3token.pp
warning: Scope(Swift::Storage::Server[6002]): swift storage server account must specify account-server
warning: Scope(Swift::Storage::Server[6001]): swift storage server container must specify container-server
warning: Scope(Swift::Storage::Server[6000]): swift storage server object must specify object-server
notice: /Stage[main]/Swift::Proxy/Package[swift-proxy]/ensure: created
notice: /Stage[main]/Swift::Storage::Container/Swift::Storage::Generic[container]/Package[swift-container]/ensure: created
notice: /Stage[main]/Swift::Storage::Object/Swift::Storage::Generic[object]/Package[swift-object]/ensure: created
notice: /Stage[main]/Swift::Storage::Account/Swift::Storage::Generic[account]/Package[swift-account]/ensure: created
notice: /Firewall[001 swift storage incoming]/ensure: created
notice: /File[/usr/local/bin/concatfragments.sh]/ensure: defined content as '{md5}47953f57b6c363fae18bb5da3e607b4b'
notice: /Firewall[001 swift proxy incoming]/ensure: created
notice: /File[/var/lib/puppet/concat]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf/fragments]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf/fragments/27_swift_swift3]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf/fragments/24_swift_catch_errors]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf/fragments/00_swift_proxy]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf/fragments/25_swift_healthcheck]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf/fragments/23_swift_cache]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf/fragments/22_swift_authtoken]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf/fragments/26_swift_ratelimit]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf/fragments/28_swift_s3token]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf/fragments.concat.out]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf/fragments.concat]/ensure: created
err: /Stage[main]/Swift::Proxy::Swift3/Package[swift-plugin-s3]/ensure: change from absent to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install swift-plugin-s3' returned 1: Error: Nothing to do

notice: /File[/var/lib/puppet/concat/_etc_swift_proxy-server.conf/fragments/79_swift_keystone]/ensure: created
notice: /Stage[main]/Swift::Proxy/Concat[/etc/swift/proxy-server.conf]/Exec[concat_/etc/swift/proxy-server.conf]/returns: executed successfully
notice: /Stage[main]/Swift::Proxy/Concat[/etc/swift/proxy-server.conf]/Exec[concat_/etc/swift/proxy-server.conf]: Triggered 'refresh' from 11 events
notice: /Stage[main]//Exec[setenforce 0]/returns: executed successfully
notice: /File[/srv/node]/ensure: created
notice: /File[/etc/swift/container-server/]/owner: owner changed 'root' to 'swift'
notice: /File[/etc/swift/container-server/]/group: group changed 'root' to 'swift'
notice: /File[/etc/swift/account-server/]/owner: owner changed 'root' to 'swift'
notice: /File[/etc/swift/account-server/]/group: group changed 'root' to 'swift'
notice: /File[/etc/swift/object-server/]/owner: owner changed 'root' to 'swift'
notice: /File[/etc/swift/object-server/]/group: group changed 'root' to 'swift'
notice: /File[/etc/swift/proxy-server.conf]/content: content changed '{md5}b6581fa5a48beaa38dae9450d67b0d28' to '{md5}65de5988e6e92187d62f37fba220ad2a'
notice: /File[/etc/swift/proxy-server.conf]/owner: owner changed 'root' to 'swift'
notice: /Stage[main]/Swift::Proxy/Service[swift-proxy]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Swift::Proxy/Service[swift-proxy]: Triggered 'refresh' from 8 events
notice: /File[/etc/rsync.d/frag-container]/ensure: defined content as '{md5}f34ae17bc92c6dac2f9e4535cc52d6f4'
notice: /File[/var/lib/puppet/concat/_etc_swift_account-server.conf]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_account-server.conf/fragments.concat]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_account-server.conf/fragments.concat.out]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_account-server.conf/fragments]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_account-server.conf/fragments/00_swift-account-6002]/ensure: created
notice: /Stage[main]/Swift::Storage::All/Swift::Storage::Server[6002]/Concat[/etc/swift/account-server.conf]/Exec[concat_/etc/swift/account-server.conf]/returns: executed successfully
notice: /Stage[main]/Swift::Storage::All/Swift::Storage::Server[6002]/Concat[/etc/swift/account-server.conf]/Exec[concat_/etc/swift/account-server.conf]: Triggered 'refresh' from 3 events
notice: /File[/etc/swift/account-server.conf]/content: content changed '{md5}68d75de69955941c8fd8f40b0dbbb31b' to '{md5}33d0fdd405d4f598b37f870a7c0375e8'
notice: /File[/etc/swift/account-server.conf]/owner: owner changed 'root' to 'swift'
notice: /File[/etc/swift/account-server.conf]/mode: mode changed '660' to '640'
err: /Stage[main]/Swift::Storage::Account/Swift::Storage::Generic[account]/Service[swift-account]/ensure: change from stopped to running failed: Could not start Service[swift-account]: Execution of '/sbin/service openstack-swift-account start' returned 1:  at /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/modules/swift/manifests/storage/generic.pp:52
notice: /Stage[main]/Swift::Storage::Account/Swift::Storage::Generic[account]/Service[swift-account]: Triggered 'refresh' from 10 events
notice: /Service[swift-account-replicator]/ensure: ensure changed 'stopped' to 'running'
notice: /Service[swift-account-replicator]: Triggered 'refresh' from 10 events
notice: /File[/srv/loopback-device]/ensure: created
notice: /Stage[main]//Swift::Storage::Loopback[device1]/Exec[create_partition-device1]/returns: executed successfully
notice: /Stage[main]//Swift::Storage::Loopback[device1]/Swift::Storage::Ext4[device1]/Exec[mkfs-device1]: Triggered 'refresh' from 1 events
notice: /File[/srv/node/device1]/ensure: created
notice: /Stage[main]//Swift::Storage::Loopback[device1]/Swift::Storage::Ext4[device1]/Swift::Storage::Mount[device1]/Mount[/srv/node/device1]/ensure: defined 'ensure' as 'defined'
notice: /Stage[main]//Swift::Storage::Loopback[device1]/Swift::Storage::Ext4[device1]/Swift::Storage::Mount[device1]/Mount[/srv/node/device1]: Triggered 'refresh' from 3 events
notice: /Stage[main]//Swift::Storage::Loopback[device1]/Swift::Storage::Ext4[device1]/Swift::Storage::Mount[device1]/Exec[mount_device1]/returns: executed successfully
notice: /Stage[main]//Swift::Storage::Loopback[device1]/Swift::Storage::Ext4[device1]/Swift::Storage::Mount[device1]/Exec[mount_device1]: Triggered 'refresh' from 2 events
notice: /Stage[main]//Swift::Storage::Loopback[device1]/Swift::Storage::Ext4[device1]/Swift::Storage::Mount[device1]/Exec[fix_mount_permissions_device1]: Triggered 'refresh' from 4 events
notice: /File[/etc/rsync.d/frag-object]/ensure: defined content as '{md5}6599fe18f7573876515cdb791157facc'
notice: /File[/etc/rsync.d/frag-account]/ensure: defined content as '{md5}5c536b07e578ed18d4c7eedd2d76a225'
notice: /Stage[main]/Rsync::Server/Exec[compile fragments]: Triggered 'refresh' from 3 events
notice: /File[/var/lib/puppet/concat/_etc_swift_object-server.conf]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_object-server.conf/fragments.concat.out]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_object-server.conf/fragments.concat]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_object-server.conf/fragments]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_object-server.conf/fragments/00_swift-object-6000]/ensure: created
notice: /Stage[main]/Swift::Storage::All/Swift::Storage::Server[6000]/Concat[/etc/swift/object-server.conf]/Exec[concat_/etc/swift/object-server.conf]/returns: executed successfully
notice: /Stage[main]/Swift::Storage::All/Swift::Storage::Server[6000]/Concat[/etc/swift/object-server.conf]/Exec[concat_/etc/swift/object-server.conf]: Triggered 'refresh' from 3 events
notice: /File[/etc/swift/object-server.conf]/content: content changed '{md5}bd9ae72e0cc70c89655071d96b32b172' to '{md5}9279bca53e95b4ecdcb7f0992215f1fe'
notice: /File[/etc/swift/object-server.conf]/owner: owner changed 'root' to 'swift'
notice: /File[/etc/swift/object-server.conf]/mode: mode changed '660' to '640'
notice: /Service[swift-object-replicator]/ensure: ensure changed 'stopped' to 'running'
notice: /Service[swift-object-replicator]: Triggered 'refresh' from 10 events
err: /Stage[main]/Swift::Storage::Object/Swift::Storage::Generic[object]/Service[swift-object]/ensure: change from stopped to running failed: Could not start Service[swift-object]: Execution of '/sbin/service openstack-swift-object start' returned 1:  at /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/modules/swift/manifests/storage/generic.pp:52
notice: /Stage[main]/Swift::Storage::Object/Swift::Storage::Generic[object]/Service[swift-object]: Triggered 'refresh' from 10 events
notice: /File[/var/lib/puppet/concat/_etc_swift_container-server.conf]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_container-server.conf/fragments]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_container-server.conf/fragments/00_swift-container-6001]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_container-server.conf/fragments.concat]/ensure: created
notice: /File[/var/lib/puppet/concat/_etc_swift_container-server.conf/fragments.concat.out]/ensure: created
notice: /Stage[main]/Swift::Storage::All/Swift::Storage::Server[6001]/Concat[/etc/swift/container-server.conf]/Exec[concat_/etc/swift/container-server.conf]/returns: executed successfully
notice: /Stage[main]/Swift::Storage::All/Swift::Storage::Server[6001]/Concat[/etc/swift/container-server.conf]/Exec[concat_/etc/swift/container-server.conf]: Triggered 'refresh' from 3 events
notice: /File[/etc/swift/container-server.conf]/content: content changed '{md5}7958d304633c8a4ffd341b2a0a20beec' to '{md5}d746c63082c349af5081987910f10f35'
notice: /File[/etc/swift/container-server.conf]/owner: owner changed 'root' to 'swift'
notice: /File[/etc/swift/container-server.conf]/mode: mode changed '660' to '640'
err: /Stage[main]/Swift::Storage::Container/Swift::Storage::Generic[container]/Service[swift-container]/ensure: change from stopped to running failed: Could not start Service[swift-container]: Execution of '/sbin/service openstack-swift-container start' returned 1:  at /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/modules/swift/manifests/storage/generic.pp:52
notice: /Stage[main]/Swift::Storage::Container/Swift::Storage::Generic[container]/Service[swift-container]: Triggered 'refresh' from 10 events
notice: /Service[swift-container-replicator]/ensure: ensure changed 'stopped' to 'running'
notice: /Service[swift-container-replicator]: Triggered 'refresh' from 10 events
notice: Finished catalog run in 63.41 seconds

Testing if puppet apply is finished : 127.0.0.1_swift.pp.log                          [ ERROR ]
ERROR:root:Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 795, in main
    _main(confFile)
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 591, in _main
    runSequences()
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 567, in runSequences
    controller.runAllSequences()
  File "/usr/lib/python2.6/site-packages/packstack/installer/setup_controller.py", line 57, in runAllSequences
    sequence.run()
  File "/usr/lib/python2.6/site-packages/packstack/installer/setup_sequences.py", line 154, in run
    step.run()
  File "/usr/lib/python2.6/site-packages/packstack/installer/setup_sequences.py", line 60, in run
    function()
  File "/usr/lib/python2.6/site-packages/packstack/plugins/puppet_950.py", line 139, in applyPuppetManifest
    waitforpuppet(currently_running)
  File "/usr/lib/python2.6/site-packages/packstack/plugins/puppet_950.py", line 110, in waitforpuppet
    validate_puppet_logfile(log)
  File "/usr/lib/python2.6/site-packages/packstack/modules/ospluginutils.py", line 130, in validate_puppet_logfile
    raise PackStackError(message)
PackStackError: Error during puppet run : err: /Stage[main]/Swift::Storage::Account/Swift::Storage::Generic[account]/Service[swift-account]/ensure: change from stopped to running failed: Could not start Service[swift-account]: Execution of '/sbin/service openstack-swift-account start' returned 1:  at /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/modules/swift/manifests/storage/generic.pp:52

Error during puppet run : err: /Stage[main]/Swift::Storage::Account/Swift::Storage::Generic[account]/Service[swift-account]/ensure: change from stopped to running failed: Could not start Service[swift-account]: Execution of '/sbin/service openstack-swift-account start' returned 1:  at /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/modules/swift/manifests/storage/generic.pp:52
Please check log file /var/tmp/89fd9787-4cda-4589-94d1-366aca306548/openstack-setup_2013_01_14_15_18_38.log for more information
Comment 2 Jaroslav Henner 2013-01-15 07:38:49 EST
Changing the severity because it means that we are probably not able to easily deploy OS completely.
Comment 5 Alan Pevec 2013-01-16 07:15:33 EST

*** This bug has been marked as a duplicate of bug 885530 ***
Comment 7 Derek Higgins 2013-01-21 11:09:32 EST
the puppet modules rsync the swift ring file to the storage node and in most cases this happens after the directory /etc/swift is created, but if I happens before then the ring file rsync silently fails and causes the service to fail to start

https://review.openstack.org/20142
Comment 10 Nir Magnezi 2013-01-23 08:08:09 EST
Verified With: openstack-packstack-2012.2.2-0.5.dev318.el6ost.noarch

Installed Openstack with packstack dev318
1. Error not reproduced.
2. All swift serviced are up and running.
3. Swift basic sanity tested OK. (created a new container, folder and uploaded a file)
Comment 12 errata-xmlrpc 2013-01-29 06:11:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-0204.html

Note You need to log in before you can comment on or make changes to this bug.